BasedCategoryGraphics (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.categoryplot.plotitem

## Class BasedCategoryGraphics

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics
  - - com.twosigma.beakerx.chart.categoryplot.plotitem.CategoryGraphics
    - - com.twosigma.beakerx.chart.categoryplot.plotitem.BasedCategoryGraphics

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    CategoryArea, CategoryBars, CategoryStems

      public abstract class BasedCategoryGraphics
      extends CategoryGraphics

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasedCategoryGraphics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Number` | `getBase()`
    `java.util.List<java.lang.Object>` | `getBases()`
    `void` | `setBase(java.util.List<java.lang.Object> base)`
    `void` | `setBase(java.lang.Number base)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.categoryplot.plotitem.CategoryGraphics

      `createItemLabels, getCenterSeries, getColor, getColors, getItemLabels, getSeriesNames, getShowItemLabel, getUseToolTip, getValue, setCenterSeries, setColor, setColor, setColor, setColori, setItemLabel, setSeriesNames, setShowItemLabel, setUseToolTip, setValue`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Graphics

      `clone, fireClick, fireOnKey, getClickTag, getKeys, getKeyTags, getUid, getVisible, getyAxis, getYAxis, hasClickAction, onClick, onClick, onKey, onKey, onKey, onKey, setVisible, setyAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasedCategoryGraphics

          public BasedCategoryGraphics()

  - ### Method Detail

    - #### setBase

          public void setBase(java.lang.Number base)

    - #### setBase

          public void setBase(java.util.List<java.lang.Object> base)

    - #### getBase

          public java.lang.Number getBase()

      Overrides:
        `getBase` in class `CategoryGraphics`

    - #### getBases

          public java.util.List<java.lang.Object> getBases()

      Overrides:
        `getBases` in class `CategoryGraphics`